Package org.eclipse.help.base

# Interface IHelpScopeProducer

public interface IHelpScopeProducer
Producer capable of generating or otherwise obtaining AbstractHelpScopes for filtering the help system. Scopes can be defined either by adding a 'scope' or 'scopeProducer' element to the `"org.eclipse.help.base.scope"` extension point. The 'scopeProducer' allows for runtime scopes to be created.

Since:
  3.6

## Method Summary

Modifier and Type
Method
Description
`IScopeHandle[]`
`getScopeHandles()`
Obtains a list of IScopeHandles, which in turn will contain AbstracHelpScope implementations.

## Method Details

### getScopeHandles

IScopeHandle[] getScopeHandles()
Obtains a list of IScopeHandles, which in turn will contain AbstracHelpScope implementations. Use this method to create or load AbstractHelpScopes at runtime.

Returns:
  an array of the contributed scope handles. May not be `null`.